## org.apache.commons.collections.iterators
Class AbstractIteratorDecorator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractIteratorDecorator

All Implemented Interfaces:
  Iterator

Direct Known Subclasses:
  AbstractDualBidiMap.EntrySetIterator, AbstractDualBidiMap.KeySetIterator, AbstractDualBidiMap.ValuesIterator

public class AbstractIteratorDecorator
extends Object
implements Iterator

Provides basic behaviour for decorating an iterator with extra functionality.

All methods are forwarded to the decorated iterator.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 00:59:50 $
Author:
  James Strachan, Stephen Colebourne

Field Summary
`protected Iterator` `iterator` The iterator being decorated

Constructor Summary
`AbstractIteratorDecorator(Iterator iterator)` Constructor that decorates the specified iterator.

Method Summary
`protected Iterator` `getIterator()` Gets the iterator being decorated.
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected final Iterator iterator

  The iterator being decorated

Constructor Detail

### AbstractIteratorDecorator

    public AbstractIteratorDecorator(Iterator iterator)

  Constructor that decorates the specified iterator.

Parameters:
  `iterator` - the iterator to decorate, must not be null
Throws:
  `IllegalArgumentException` - if the collection is null

Method Detail

### getIterator

    protected Iterator getIterator()

  Gets the iterator being decorated.

  Returns:
    the decorated iterator

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.